package java.security;

import java.util.Set;

public interface AlgorithmConstraints
{
    public abstract boolean permits(Set<CryptoPrimitive> p0, String p1, AlgorithmParameters p2);
    
    public abstract boolean permits(Set<CryptoPrimitive> p0, Key p1);
    
    public abstract boolean permits(Set<CryptoPrimitive> p0, String p1, Key p2, AlgorithmParameters p3);
}
